Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.function.provider
Class MetaABMFunctionItemProviderAdapterFactory

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
          org.metaabm.function.util.MetaABMFunctionAdapterFactory
              org.metaabm.function.provider.MetaABMFunctionItemProviderAdapterFactory

All Implemented Interfaces:
  org.eclipse.emf.common.notify.AdapterFactory, org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

    public class MetaABMFunctionItemProviderAdapterFactory

extends MetaABMFunctionAdapterFactory
implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

Field Summary
`protected org.eclipse.emf.edit.provider.IChangeNotifier` | `changeNotifier` This is used to implement `IChangeNotifier`.
`protected org.eclipse.emf.edit.provider.Disposable` | `disposable` This keeps track of all the item providers created, so that they can be `disposed`.
`protected FArgumentArrayPrototypeItemProvider` | `fArgumentArrayPrototypeItemProvider` This keeps track of the one adapter used for all `FArgumentArrayPrototype` instances.
`protected FArgumentPrototypeItemProvider` | `fArgumentPrototypeItemProvider` This keeps track of the one adapter used for all `FArgumentPrototype` instances.
`protected FGenericLogicalItemProvider` | `fGenericLogicalItemProvider` This keeps track of the one adapter used for all `FGenericLogical` instances.
`protected FImplementedLibraryItemProvider` | `fImplementedLibraryItemProvider` This keeps track of the one adapter used for all `FImplementedLibrary` instances.
`protected FLibraryItemProvider` | `fLibraryItemProvider` This keeps track of the one adapter used for all `FLibrary` instances.
`protected FLogicalOperatorItemProvider` | `fLogicalOperatorItemProvider` This keeps track of the one adapter used for all `FLogicalOperator` instances.
`protected FMultiArgumentPrototypeItemProvider` | `fMultiArgumentPrototypeItemProvider` This keeps track of the one adapter used for all `FMultiArgumentPrototype` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` | `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected java.util.Collection<java.lang.Object>` | `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

Fields inherited from class org.metaabm.function.util.MetaABMFunctionAdapterFactory
`modelPackage, modelSwitch`

Constructor Summary
`MetaABMFunctionItemProviderAdapterFactory()` This constructs an instance.

Method Summary
`org.eclipse.emf.common.notify.Adapter` | `adapt(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`java.lang.Object` | `adapt(java.lang.Object object, java.lang.Object type)`
`void` | `addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`protected void` | `associate(org.eclipse.emf.common.notify.Adapter adapter, org.eclipse.emf.common.notify.Notifier target)` Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.
`org.eclipse.emf.common.notify.Adapter` | `createFArgumentArrayPrototypeAdapter()` This creates an adapter for a `FArgumentArrayPrototype`.
`org.eclipse.emf.common.notify.Adapter` | `createFArgumentPrototypeAdapter()` This creates an adapter for a `FArgumentPrototype`.
`org.eclipse.emf.common.notify.Adapter` | `createFGenericFunctionAdapter()` This creates an adapter for a `FGenericFunction`.
`org.eclipse.emf.common.notify.Adapter` | `createFGenericLogicalAdapter()` This creates an adapter for a `FGenericLogical`.
`org.eclipse.emf.common.notify.Adapter` | `createFImplementedLibraryAdapter()` This creates an adapter for a `FImplementedLibrary`.
`org.eclipse.emf.common.notify.Adapter` | `createFLibraryAdapter()` This creates an adapter for a `FLibrary`.
`org.eclipse.emf.common.notify.Adapter` | `createFLogicalOperatorAdapter()` This creates an adapter for a `FLogicalOperator`.
`org.eclipse.emf.common.notify.Adapter` | `createFMultiArgumentPrototypeAdapter()` This creates an adapter for a `FMultiArgumentPrototype`.
`org.eclipse.emf.common.notify.Adapter` | `createFOperatorAdapter()` This creates an adapter for a `FOperator`.
`void` | `dispose()` This disposes all of the item providers created by this factory.
`void` | `fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` | `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` | `isFactoryForType(java.lang.Object type)`
`void` | `removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` | `setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

Methods inherited from class org.metaabm.function.util.MetaABMFunctionAdapterFactory
`createAdapter, createEObjectAdapter, createFFunctionAdapter, createFGenericAdapter, createFLogicalAdapter, createIArtifactAdapter, createIIDAdapter, createITypedAdapter, createITypedArrayAdapter, createSImplementedAdapter, createSNamedAdapter`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
`adaptAllNew, adaptNew, createAdapter, resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory
`adaptAllNew, adaptNew`

Field Detail

### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

  This keeps track of the root adapter factory that delegates to this adapter factory.

### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

  This is used to implement `IChangeNotifier`.

### disposable

    protected org.eclipse.emf.edit.provider.Disposable disposable

  This keeps track of all the item providers created, so that they can be `disposed`.

### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

  This keeps track of all the supported types checked by `isFactoryForType`.

### fArgumentPrototypeItemProvider

    protected FArgumentPrototypeItemProvider fArgumentPrototypeItemProvider

  This keeps track of the one adapter used for all `FArgumentPrototype` instances.

### fArgumentArrayPrototypeItemProvider

    protected FArgumentArrayPrototypeItemProvider fArgumentArrayPrototypeItemProvider

  This keeps track of the one adapter used for all `FArgumentArrayPrototype` instances.

### fLogicalOperatorItemProvider

    protected FLogicalOperatorItemProvider fLogicalOperatorItemProvider

  This keeps track of the one adapter used for all `FLogicalOperator` instances.

### fGenericLogicalItemProvider

    protected FGenericLogicalItemProvider fGenericLogicalItemProvider

  This keeps track of the one adapter used for all `FGenericLogical` instances.

### fLibraryItemProvider

    protected FLibraryItemProvider fLibraryItemProvider

  This keeps track of the one adapter used for all `FLibrary` instances.

### fImplementedLibraryItemProvider

    protected FImplementedLibraryItemProvider fImplementedLibraryItemProvider

  This keeps track of the one adapter used for all `FImplementedLibrary` instances.

### fMultiArgumentPrototypeItemProvider

    protected FMultiArgumentPrototypeItemProvider fMultiArgumentPrototypeItemProvider

  This keeps track of the one adapter used for all `FMultiArgumentPrototype` instances.

Constructor Detail

### MetaABMFunctionItemProviderAdapterFactory

    public MetaABMFunctionItemProviderAdapterFactory()

  This constructs an instance.

Method Detail

### createFArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentPrototypeAdapter()

  This creates an adapter for a `FArgumentPrototype`.

  Overrides:
    `createFArgumentPrototypeAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FArgumentPrototype`

### createFArgumentArrayPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFArgumentArrayPrototypeAdapter()

  This creates an adapter for a `FArgumentArrayPrototype`.

  Overrides:
    `createFArgumentArrayPrototypeAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FArgumentArrayPrototype`

### createFOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFOperatorAdapter()

  This creates an adapter for a `FOperator`.

  Overrides:
    `createFOperatorAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FOperator`

### createFLogicalOperatorAdapter

    public org.eclipse.emf.common.notify.Adapter createFLogicalOperatorAdapter()

  This creates an adapter for a `FLogicalOperator`.

  Overrides:
    `createFLogicalOperatorAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FLogicalOperator`

### createFGenericFunctionAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericFunctionAdapter()

  This creates an adapter for a `FGenericFunction`.

  Overrides:
    `createFGenericFunctionAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FGenericFunction`

### createFGenericLogicalAdapter

    public org.eclipse.emf.common.notify.Adapter createFGenericLogicalAdapter()

  This creates an adapter for a `FGenericLogical`.

  Overrides:
    `createFGenericLogicalAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FGenericLogical`

### createFLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFLibraryAdapter()

  This creates an adapter for a `FLibrary`.

  Overrides:
    `createFLibraryAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FLibrary`

### createFImplementedLibraryAdapter

    public org.eclipse.emf.common.notify.Adapter createFImplementedLibraryAdapter()

  This creates an adapter for a `FImplementedLibrary`.

  Overrides:
    `createFImplementedLibraryAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FImplementedLibrary`

### createFMultiArgumentPrototypeAdapter

    public org.eclipse.emf.common.notify.Adapter createFMultiArgumentPrototypeAdapter()

  This creates an adapter for a `FMultiArgumentPrototype`.

  Overrides:
    `createFMultiArgumentPrototypeAdapter` in class `MetaABMFunctionAdapterFactory`
  Returns:
    the new adapter.
  See Also:
    `FMultiArgumentPrototype`

### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

  This returns the root adapter factory that contains this factory.

  Specified by:
    `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### setParentAdapterFactory

    public void setParentAdapterFactory(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

  This sets the composed adapter factory that contains this factory.

  Specified by:
    `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

### isFactoryForType

    public boolean isFactoryForType(java.lang.Object type)

  Specified by:
    `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `isFactoryForType` in class `MetaABMFunctionAdapterFactory`
  Returns:
    whether this factory is applicable for the type of the object.

### adapt

    public org.eclipse.emf.common.notify.Adapter adapt(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

  This implementation substitutes the factory itself as the key for the adapter.

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### adapt

    public java.lang.Object adapt(java.lang.Object object,
                                  java.lang.Object type)

  Specified by:
    `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
  Overrides:
    `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### associate

    protected void associate(org.eclipse.emf.common.notify.Adapter adapter,
                             org.eclipse.emf.common.notify.Notifier target)

  Associates an adapter with a notifier via the base implementation, then records it to ensure it will be disposed.

  Overrides:
    `associate` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

### addListener

    public void addListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This adds a listener.

  Specified by:
    `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### removeListener

    public void removeListener(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

  This removes a listener.

  Specified by:
    `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### fireNotifyChanged

    public void fireNotifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This delegates to `changeNotifier` and to `parentAdapterFactory`.

  Specified by:
    `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

### dispose

    public void dispose()

  This disposes all of the item providers created by this factory.

  Specified by:
    `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD